package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.SystemInfo;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SystemInfoMapper extends BaseMapper<SystemInfo> {

    SystemInfo querySystemInfo(SystemInfo systemInfo);

    List<SystemInfo> querySystemInfoList(SystemInfo systemInfo);

    void saveSystemInfo(SystemInfo systemInfo);

    void updateSystemInfo(SystemInfo systemInfo);

    void deleteSystemInfo(SystemInfo systemInfo);

    List<SystemInfo> querySystemInfoPage(Map map);

    Integer querySystemInfoPageCount(Map map);

    void saveSystemInfoBatch(List<SystemInfo> systemInfoList);

    Page<SystemInfo> PageData(Page<SystemInfo> page,@Param("systemInfo") SystemInfo systemInfo);
}

